Bug 584779 - The TUI rhn-setup package contains *_gui* files of graphical firstboot, they probably should go to rhn-setup-gui
The TUI rhn-setup package contains *_gui* files of graphical firstboot, they ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Michael Mráka
Jan Hutař
:
Depends On:
Blocks: 584780
  Show dependency treegraph
 
Reported: 2010-04-22 07:57 EDT by Jan Pazdziora
Modified: 2011-01-13 19:10 EST (History)
2 users (show)

See Also:
Fixed In Version: rhn-client-tools-0.4.20-40.el5
Doc Type: Bug Fix
Doc Text:
Several files related to the graphical user interface (GUI) were removed from the rhn-setup package, and are now installed as a part of rhn-setup-gnome.
Story Points: ---
Clone Of:
: 584780 (view as bug list)
Environment:
Last Closed: 2011-01-13 19:10:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2010-04-22 07:57:45 EDT
Description of problem:

This issue was revealed while investigating bug 580048.

The rhn-setup package contains files that land in /usr/share/firstboot/modules which is where the graphical firstboot takes its modules from. That does seem not intuitive as rhn-setup is for text tools and rhn-setup-gnome is graphical.

We probably should move those files to rhn-setup-gnome.

Version-Release number of selected component (if applicable):

# rpm -q rhn-setup
rhn-setup-0.4.20-33.el5_5.1.noarch

How reproducible:

Deterministic.

Steps to Reproduce:
1. # rpm -ql rhn-setup | grep /usr/share/firstboot/modules
  
Actual results:

/usr/share/firstboot/modules/rhn_activate_gui.py
/usr/share/firstboot/modules/rhn_activate_gui.pyc
/usr/share/firstboot/modules/rhn_activate_gui.pyo
/usr/share/firstboot/modules/rhn_choose_org_gui.py
/usr/share/firstboot/modules/rhn_choose_org_gui.pyc
/usr/share/firstboot/modules/rhn_choose_org_gui.pyo
/usr/share/firstboot/modules/rhn_choose_server_gui.py
/usr/share/firstboot/modules/rhn_choose_server_gui.pyc
/usr/share/firstboot/modules/rhn_choose_server_gui.pyo
/usr/share/firstboot/modules/rhn_create_profile_gui.py
/usr/share/firstboot/modules/rhn_create_profile_gui.pyc
/usr/share/firstboot/modules/rhn_create_profile_gui.pyo
/usr/share/firstboot/modules/rhn_finish_gui.py
/usr/share/firstboot/modules/rhn_finish_gui.pyc
/usr/share/firstboot/modules/rhn_finish_gui.pyo
/usr/share/firstboot/modules/rhn_login_gui.py
/usr/share/firstboot/modules/rhn_login_gui.pyc
/usr/share/firstboot/modules/rhn_login_gui.pyo
/usr/share/firstboot/modules/rhn_provide_certificate_gui.py
/usr/share/firstboot/modules/rhn_provide_certificate_gui.pyc
/usr/share/firstboot/modules/rhn_provide_certificate_gui.pyo
/usr/share/firstboot/modules/rhn_register_firstboot_gui_window.py
/usr/share/firstboot/modules/rhn_register_firstboot_gui_window.pyc
/usr/share/firstboot/modules/rhn_register_firstboot_gui_window.pyo
/usr/share/firstboot/modules/rhn_review_gui.py
/usr/share/firstboot/modules/rhn_review_gui.pyc
/usr/share/firstboot/modules/rhn_review_gui.pyo
/usr/share/firstboot/modules/rhn_start_gui.py
/usr/share/firstboot/modules/rhn_start_gui.pyc
/usr/share/firstboot/modules/rhn_start_gui.pyo

Expected results:

Nothing, and files owned by rhn-setup-gnome.

Additional info:
Comment 1 Michael Mráka 2010-08-30 07:23:45 EDT
Upstream fixed as a part of bug 584780.
Comment 2 Michael Mráka 2010-08-30 07:29:20 EDT
Fixed in svn
r195619 | mmraka | 2010-08-30 13:27:43 +0200 (Mon, 30 Aug 2010) | 9 lines

584780 - move the firstboot _gui.* files to rhn-setup-gnome.
    
They are not very useful in rhn-setup if rhn-setup-gnome is not
installed, anyway.

Cherrypicked from spacewalk git
commit c990d47b69337d119d5fa45752b29c845adae8d0
Comment 5 Jaromir Hradilek 2010-11-30 07:32:46 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Several files related to the graphical user interface (GUI) were removed from the rhn-setup package, and are now installed as a part of rhn-setup-gnome.
Comment 7 errata-xmlrpc 2011-01-13 19:10:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0112.html

Note You need to log in before you can comment on or make changes to this bug.